import {$t} from '#/locales';

/**
 * 列
 */
const columns = [
  {
    title: 'id',
    dataIndex: 'id',
hide: true,
  },
  {
    title: $t('system.role.uid'),
    dataIndex: 'uid',
hide: true,
  },
  {
    title: $t('system.role.name'),
    dataIndex: 'name',
sorter: true,
  },
  {
    title: $t('system.role.notes'),
    dataIndex: 'notes',
   
  },
  {
    title: $t('system.role.creatorName'),
    dataIndex: 'creatorName',
   
  },
  {
    title: $t('system.role.createdTime'),
    dataIndex: 'createdTime',
sorter: true,
  },
  {
    title: $t('system.role.action'),
    dataIndex: 'action',
    fixed: 'right',
    width: 160
  }
]
/**
 * 查询参数
 */
const query = {
  name: ''
};

export const d = {
  isShowQuery: true,
  loading: false,
  pagination: {
    total: 0,
    current: 1,
    pageSize: 10,
    showTotal: (total, range) => `共 ${total} 条`,
    showSizeChanger: true,
    pageSizeOptions: ['10', '20', '50', '100', '500', '1000'],
    showQuickJumper: true,
  },
  datas: [],
  query,
  columns,
}